## ros-indigo-rwt-speech-recognition 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_speech_recognition)

find_package(catkin REQUIRED COMPONENTS
  rosbridge_server
  roswww
  rwt_utils_3rdparty
  speech_recognition_msgs
)

catkin_package(
  CATKIN_DEPENDS rosbridge_server roswww rwt_utils_3rdparty speech_recognition_msgs
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

=== debian/changelog ===
ros-indigo-rwt-speech-recognition (0.0.3-1trusty) trusty; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-indigo-rwt-speech-recognition (0.0.2-1trusty) trusty; urgency=high

  * Fix to work as of 2016/10/1 #63 <https://github.com/tork-a/visualization_rwt/issues/63>
    
      * update README
      * update status texts
      * show selected language
      * do not overray mode when push continus/once
      * you can not use li value, use data-value http://stackoverflow.com/questions/31027506/get-value-attribute-from-an-li-element
      * fix rwt_speech_recognition.js path
    
  * remove old rosbuild files
  * reomve depends to the packages released from CDN
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * publish confidences; fix message type texts -> transcript #48 <https://github.com/tork-a/visualization_rwt/issues/48>
    
      * remove .msg from message type
      * publish confidences; fix message type texts -> transcript
      * catkinize visualization_rwt packages
      * fix typo in index.html
    
  * add rwt_speech_recognition
  * Contributors: Yuki Furuta, Isaac Saito, Kei Okada

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rwt-speech-recognition
Section: misc
Priority: extra
Maintainer: Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosbridge-server, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-speech-recognition-msgs
Homepage: http://wiki.ros.org/rwt_speech_recognition
Standards-Version: 3.9.2

Package: ros-indigo-rwt-speech-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosbridge-server, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-speech-recognition-msgs
Description: The rwt_speech_recognition package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rwt-speech-recognition//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
